Before You've Signed Up


Which phones and tablets are compatible with Yoco card machines?


Smartphones and tablets are ever-evolving, and new brands are surfacing on a regular basis. So, we’ve compiled a list of the device specifications that will work with your Yoco card machine. 

  NOTE: These are basic guidelines and specifications may vary from device to device. You can check the specifications of your device at gsmarena.com.  

Android

  • Your phone or tablet must be running Android 4.4. or higher.
  • Your phone or tablet should have 2GB RAM or more, available.
  • You must run an updated version of the Yoco App: Version 3.3.0 or higher, for Android.

  You can check if your Android device is supported here.

iOS

  • Your phone or tablet must be running the latest iOS software version, or iOS 9.3.5 and above.
  • You must run an updated version of the Yoco App: Version 2.18.0 build 3 or higher, for iOS.

  You can check if your iOS device is supported here. Most Apple iOS devices (running the latest iOS version) are compatible with Yoco. 

Help us improve our Help Centre. Was this article helpful?